<?php
/**
 * inscribe functions and definitions
 *
 * @package inscribe
 */

require get_template_directory() . '/customizer-options.php';
include get_template_directory() . '/fonts.php';
include get_template_directory() . '/insertcss.php';


/*--------------------------------------------------------------
      Thumbnail
----------------------------------------------------------------*/

function get_image_url(){
	$image_id = get_post_thumbnail_id();
	$image_url = wp_get_attachment_image_src($image_id,'full');
	$image_url = $image_url[0];
	echo $image_url;
	}
include get_template_directory() . '/aq_resizer.php';





function admin_bar_theme_editor_option() {  
	global $wp_admin_bar;   
		if ( !is_super_admin() || !is_admin_bar_showing() )      
		return;    
		$wp_admin_bar->add_menu(        
			array( 'id' => 'edit-theme',            
			'title' => __('Theme Options', 'inscribe'),
                          'href' => admin_url( '/customize.php')       
		)    
		);
	}

add_action( 'admin_bar_menu', 'admin_bar_theme_editor_option', 100 );


/**add slider script to header*/

function my_scripts_method() {
	wp_enqueue_script(
		'custom-script',
		get_stylesheet_directory_uri() . '/js/responsiveslides.min.js',
		array( 'jquery' )
	);
}

add_action( 'wp_enqueue_scripts', 'my_scripts_method' );

/**custom post type for slider*/

register_post_type('slides', array(
'label' => __('Slides'),
'singular_label' => __('Slides'),
'public' => true,
'show_ui' => true,
'capability_type' => 'post',
'hierarchical' => false,
'rewrite' => false,	'query_var' => true,
'supports' => array('title', 'editor', 'thumbnail'),
'taxonomies' => array( 'post_tag')
));

/**add slider thumbnail size*/

if ( function_exists( 'add_image_size' ) ) { 
	//add_image_size( 'category-thumb', 300, 9999 ); //300 pixels wide (and unlimited height)
	add_image_size( 'homepage-slider', 960, 320, true ); //(cropped)
}

/**add slider thumbnail size*/
add_filter('post_thumbnail_html','remove_thumbnail_dimensions', 10 );
add_filter('image_send_to_editor','remove_thumbnail_dimensions', 10 );

function remove_thumbnail_dimensions( $html ) {
    $html = preg_replace( '/(width|height)=\"\d*\"\s/', "", $html );
    return $html;
}





/* ---  exceprt  --- */
function custom_excerpt_more( $more ) {
	return '...';   
}
add_filter( 'excerpt_more', 'custom_excerpt_more' );


function css_new() {
    if (is_single()) {
?>  
        <style type="text/css">
         .bannerfooter {
            display: none;
          }

        </style>
<?php 
    }
}
add_action('wp_head', 'css_new');



function inscribe_add_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}
add_action( 'init', 'inscribe_add_editor_styles' );


/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) )
	$content_width = 640; /* pixels */

if ( ! function_exists( 'inscribe_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 */
function inscribe_setup() {

	/**
	 * Make theme available for translation
	 * Translations can be filed in the /languages/ directory
	 * If you're building a theme based on inscribe, use a find and replace
	 * to change 'inscribe' to the name of your theme in all the template files
	 */
	load_theme_textdomain( 'inscribe', get_template_directory() . '/languages' );

	/**
	 * Add default posts and comments RSS feed links to head
	 */
	add_theme_support( 'automatic-feed-links' );

	/**
	 * Enable support for Post Thumbnails on posts and pages
	 *
	 * @link http://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
	 */
	add_theme_support( 'post-thumbnails' );
    add_image_size( 'thumb-single', 630, 550, true );
    add_image_size( 'thumb-post', 220, 170, true );

	/**
	 * This theme uses wp_nav_menu() in one location.
	 */
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'inscribe' ),
	) );

	/**
	 * Enable support for Post Formats
	 */
	add_theme_support( 'post-formats', array( 'aside', 'image', 'video', 'quote', 'link' ) );

	/**
	 * Setup the WordPress core custom background feature.
	 */
	add_theme_support( 'custom-background', apply_filters( 'inscribe_custom_background_args', array(
		'default-color' => 'e2e2e2',
		'default-image' => '',
	) ) );
}
endif; // inscribe_setup
add_action( 'after_setup_theme', 'inscribe_setup' );


/**
 * Register widgetized area and update sidebar with default widgets
 */
function inscribe_widgets_init() {
    
	register_sidebar( array(
		'name'          => __( 'Sidebar', 'inscribe' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h1 class="widget-title">',
		'after_title'   => '</h1>',
	) );
	
	    //footer 1
	register_sidebar(array(
		'name' => __( 'Footer 1', 'inscribe'),
		'id' => 'footer-1',
		'description' => __( 'Widgets footer 1', 'inscribe' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	));
        //footer 2
	register_sidebar(array(
		'name' => __( 'Footer 2' , 'inscribe'),
		'id' => 'footer-2',
		'description' => __( 'Widgets footer 2', 'inscribe' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	));
	//footer 3
	register_sidebar(array(
		'name' => __( 'Footer 3', 'inscribe'),
		'id' => 'footer-3',
		'description' => __( 'Widgets footer 3', 'inscribe' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	));
	//footer 4
	register_sidebar(array(
		'name' => __( 'Footer 4', 'inscribe'),
		'id' => 'footer-4',
		'description' => __( 'Widgets footer 4', 'inscribe' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	));
	
}
add_action( 'widgets_init', 'inscribe_widgets_init' );


/**
 * Enqueue scripts and styles
 */
function inscribe_scripts() {
    
    wp_enqueue_script('jquery');
	wp_enqueue_style( 'inscribe-style', get_stylesheet_uri() );

	wp_enqueue_script( 'inscribe-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '20120206', true );
    wp_enqueue_style( 'inscribe-meniu-style', get_stylesheet_directory_uri() . '/meniu.css' );
    
     wp_enqueue_style( 'inscribe-jquery.bxslider', get_stylesheet_directory_uri() . '/jquery.bxslider.css' );
wp_enqueue_script( 'inscribe-jquery.bxslider', get_stylesheet_directory_uri() . '/js/jquery.bxslider.js', array( 'jquery'), true );

    
	wp_enqueue_script( 'inscribe-inscribe-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20130115', true );

    wp_enqueue_script( 'inscribe-jquery.nicescroll.min', get_stylesheet_directory_uri() . '/js/jquery.nicescroll.min.js', array( 'jquery'), true );

    wp_enqueue_style('wpinscribe-google-fonts', '//fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,latin-ext,cyrillic-ext,cyrillic,greek-ext,greek,vietnamese');
    wp_enqueue_style('wpinscribe-google-fonts', '//fonts.googleapis.com/css?family=Ubuntu:200,300,400,500,600,700,800&subset=latin,latin-ext');
    wp_enqueue_style('wpinscribe-google-fonts', '//fonts.googleapis.com/css?family=Actor:200,300,400,500,600,700,800&subset=latin,latin-ext');
    wp_enqueue_style('wpinscribe-google-fonts', '//fonts.googleapis.com/css?family=Cinzel:200,300,400,500,600,700,800&subset=latin,latin-ext');
    wp_enqueue_style('wpinscribe-google-fonts', '//fonts.googleapis.com/css?family=Gilda+Display:200,300,400,500,600,700,800&subset=latin,latin-ext');
    wp_enqueue_style('wpinscribe-google-fonts', '//fonts.googleapis.com/css?family=Basic:200,300,400,500,600,700,800&subset=latin,latin-ext');
    wp_enqueue_style('wpinscribe-google-fonts', '//fonts.googleapis.com/css?family=Dosis:200,300,400,500,600,700,800&subset=latin,latin-ext');
    

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	if ( is_singular() && wp_attachment_is_image() ) {
		wp_enqueue_script( 'inscribe-keyboard-image-navigation', get_template_directory_uri() . '/js/keyboard-image-navigation.js', array( 'jquery' ), '20120202' );
	}
}
add_action( 'wp_enqueue_scripts', 'inscribe_scripts' );

/**
 * Implement the Custom Header feature.
 */
//require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';


/*------------------------------------------------------------------
*       Pagination
-------------------------------------------------------------------*/
function wpbeginner_numeric_posts_nav() {

	if( is_singular() )
		return;

	global $wp_query;

	/** Stop execution if there's only 1 page */
	if( $wp_query->max_num_pages <= 1 )
		return;

	$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
	$max   = intval( $wp_query->max_num_pages );

	/**	Add current page to the array */
	if ( $paged >= 1 )
		$links[] = $paged;

	/**	Add the pages around the current page to the array */
	if ( $paged >= 3 ) {
		$links[] = $paged - 1;
		$links[] = $paged - 2;
	}

	if ( ( $paged + 2 ) <= $max ) {
		$links[] = $paged + 2;
		$links[] = $paged + 1;
	}

	echo '<div class="navigation"><ul>' . "\n";

	/**	Previous Post Link */
	if ( get_previous_posts_link() )
		printf( '<li>%s</li>' . "\n", get_previous_posts_link() );

	/**	Link to first page, plus ellipses if necessary */
	if ( ! in_array( 1, $links ) ) {
		$class = 1 == $paged ? ' class="active"' : '';

		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( 1 ) ), '1' );

		if ( ! in_array( 2, $links ) )
			echo '<li>&#8211;</li>';
	}

	/**	Link to current page, plus 2 pages in either direction if necessary */
	sort( $links );
	foreach ( (array) $links as $link ) {
		$class = $paged == $link ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $link ) ), $link );
	}

	/**	Link to last page, plus ellipses if necessary */
	if ( ! in_array( $max, $links ) ) {
		if ( ! in_array( $max - 1, $links ) )
			echo '<li>&#8211;</li>' . "\n";

		$class = $paged == $max ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $max ) ), $max );
	}

	/**	Next Post Link */
	if ( get_next_posts_link() )
		printf( '<li>%s</li>' . "\n", get_next_posts_link() );

	echo '</ul></div>' . "\n";

}



// thumbnail in dashbord

if ( !function_exists('fb_AddThumbColumn') && function_exists('add_theme_support') ) {
	
	// for post and page
	add_theme_support('post-thumbnails', array( 'post', 'page' ) );
	
	function fb_AddThumbColumn($cols) {
		
		$cols['thumbnail'] = __('Thumbnail','owd');
		
		return $cols;
	}
	
	function fb_AddThumbValue($column_name, $post_id) {
			
			$width = (int) 90;
			$height = (int) 90;
			
			if ( 'thumbnail' == $column_name ) {
				// thumbnail of WP 2.9
				$thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
				// image from gallery
				$attachments = get_children( array('post_parent' => $post_id, 'post_type' => 'attachment', 'post_mime_type' => 'image') );
				if ($thumbnail_id)
					$thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
				elseif ($attachments) {
					foreach ( $attachments as $attachment_id => $attachment ) {
						$thumb = wp_get_attachment_image( $attachment_id, array($width, $height), true );
					}
				}
					if ( isset($thumb) && $thumb ) {
						echo $thumb;
					} else {
						echo __('None','owd');
					}
			}
	}
	
	// for posts
	add_filter( 'manage_posts_columns', 'fb_AddThumbColumn' );
	add_action( 'manage_posts_custom_column', 'fb_AddThumbValue', 10, 2 );
	
	// for pages
	add_filter( 'manage_pages_columns', 'fb_AddThumbColumn' );
	add_action( 'manage_pages_custom_column', 'fb_AddThumbValue', 10, 2 );
}


