<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Blogwise
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/favicon.gif" />

<style type="text/css">
<?php echo get_theme_mod( 'custom_css_editor' ); ?>
</style>

<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<?php do_action( 'before' ); ?>

	<header id="masthead" class="site-header" role="banner">

		<div class="logo">
                   <?php if ( get_theme_mod( 'gs_logo' ) ) : ?>
                   <span style="float:left;">
                   <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
                   <img src="<?php echo get_theme_mod( 'gs_logo' ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"></a></span>
                    
                   <?php else : ?>

                  <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                   <h2></h2>
                  <?php endif; ?>

                  
               </div><!-- end logo -->
               
               <div class="social">
                           <ul>
                           <li><?php if ( get_theme_mod( 'owd_facebook' ) ) : ?>
                           <div class="top-tip" data-tips="facebook"><a href="<?php echo esc_url( get_theme_mod( 'owd_facebook' ) ); ?>" class="social-fb" title="<?php echo esc_url( get_theme_mod( 'owd_facebook' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-fb.png" alt="" /></a></div>
                           <?php endif; ?>
                           </li>
                           <li>
                           <?php if ( get_theme_mod( 'owd_twitter' ) ) : ?>
                           <div class="top-tip" data-tips="twitter"><a href="<?php echo esc_url( get_theme_mod( 'owd_twitter' ) ); ?>" class="social-tw" title="<?php echo esc_url( get_theme_mod( 'owd_twitter' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-tw.png" alt="" /></a></div>
                           <?php endif; ?>
			               </li>
			               <li>
                           <?php if ( get_theme_mod( 'owd_google' ) ) : ?>
                           <div class="top-tip" data-tips="google +"><a href="<?php echo esc_url( get_theme_mod( 'owd_google' ) ); ?>" class="social-gp" title="<?php echo esc_url( get_theme_mod( 'owd_google' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-gp.png" alt="" /></a></div>
                           <?php endif; ?>
                           </li>
                           <li>
                           <?php if ( get_theme_mod( 'owd_pinterest' ) ) : ?>
                           <div class="top-tip" data-tips="pinterest"><a href="<?php echo esc_url( get_theme_mod( 'owd_pinterest' ) ); ?>" class="social-pi" title="<?php echo esc_url( get_theme_mod( 'owd_pinterest' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-pi.png" alt="" /></a></div>
                           <?php endif; ?>
                           </li>
                           <li>
                           <?php if ( get_theme_mod( 'owd_linkedin' ) ) : ?>
                           <div class="top-tip" data-tips="linkedin"><a href="<?php echo esc_url( get_theme_mod( 'owd_linkedin' ) ); ?>" class="social-li" title="<?php echo esc_url( get_theme_mod( 'owd_linkedin' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-li.png" alt="" /></a></div>
                           <?php endif; ?>
                           </li>
                           <li>
                           <?php if ( get_theme_mod( 'owd_youtube' ) ) : ?>
                           <div class="top-tip" data-tips="youtube"><a href="<?php echo esc_url( get_theme_mod( 'owd_youtube' ) ); ?>" class="social-yt" title="<?php echo esc_url( get_theme_mod( 'owd_youtube' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-yt.png" alt="" /></a></div>
                           <?php endif; ?>
                           </li>
                           <li>
                           <?php if ( get_theme_mod( 'owd_tumblr' ) ) : ?>
                           <div class="top-tip" data-tips="tumblr"><a href="<?php echo esc_url( get_theme_mod( 'owd_tumblr' ) ); ?>" class="social-tu" title="<?php echo esc_url( get_theme_mod( 'owd_tumblr' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-tu.png" alt="" /></a></div>
                           <?php endif; ?>
                           </li>
                           <li>
                          <?php if ( get_theme_mod( 'owd_instagram' ) ) : ?>
                          <div class="top-tip" data-tips="instagram"><a href="<?php echo esc_url( get_theme_mod( 'owd_instagram' ) ); ?>" class="social-in" title="<?php echo esc_url( get_theme_mod( 'owd_instagram' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-in.png" alt="" /></a></div>
                          <?php endif; ?>
                          </li>
                          <li>
                          <?php if ( get_theme_mod( 'owd_flickr' ) ) : ?>
                          <div class="top-tip" data-tips="flickr"><a href="<?php echo esc_url( get_theme_mod( 'owd_flickr' ) ); ?>" class="social-fl" title="<?php echo esc_url( get_theme_mod( 'owd_flickr' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-fl.png" alt="" /></a></div>
                          <?php endif; ?>
                          </li>
                          <li>
                          <?php if ( get_theme_mod( 'owd_vimeo' ) ) : ?>
                          <div class="top-tip" data-tips="vimeo"><a href="<?php echo esc_url( get_theme_mod( 'owd_vimeo' ) ); ?>" class="social-vi" title="<?php echo esc_url( get_theme_mod( 'owd_vimeo' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-vi.png" alt="" /></a></div>
                          <?php endif; ?>
                          </li>
                          <li>
                          <?php if ( get_theme_mod( 'owd_rss' ) ) : ?>
                          <div class="top-tip" data-tips="rss"><a href="<?php echo esc_url( get_theme_mod( 'owd_rss' ) ); ?>" class="social-rs" title="<?php echo esc_url( get_theme_mod( 'owd_rss' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-rss.png" alt="" /></a></div>
                          <?php endif; ?>
                          </li>
                          <li>
                          <?php if ( get_theme_mod( 'owd_email' ) ) : ?>
                          <div class="top-tip" data-tips="mail"><a href="<?php echo esc_url( get_theme_mod( 'owd_email' ) ); ?>" class="social-em" title="<?php echo esc_url( get_theme_mod( 'owd_email' ) ); ?>"><img src="<?php echo get_template_directory_uri();?>/library/images/icon-email.png" alt="" /></a></div>
                          <?php endif; ?>
                        </li>
                       </ul>

                        </div><!-- end div social -->
		
	</header><!-- #masthead -->
	<div id="content" class="site-content">
	
      <div id="nav">
        
	        <?php if ( has_nav_menu( 'primary' ) ) { ?>
	        <?php wp_nav_menu( array('container_id'   => 'cssmenu',
                                     'theme_location'  => 'primary',
                            ) ); ?>
             <?php } else { ?>
                        <ul class="sf-menu">
                          <li><a href="/"><?php _e('Home', 'inscribe'); ?></a></li>
                          <li><a href="/"><?php _e('Sample page', 'inscribe'); ?></a></li>
                          <li><a href="/"><?php _e('About', 'inscribe'); ?></a></li>
                          <li><a href="/"><?php _e('Project', 'inscribe'); ?></a></li>
                        </ul>
                        <?php } ?>               
                            
                            
       </div><!-- end meniu -->

      

